import Dexie from "dexie";
interface KeyValues {
    key: string;
    val: string;
}
declare class KeyValueModel {
    static authorize: boolean;
    private db?;
    private userId?;
    private store?;
    Event: {
        keyValueModelChange: string;
        lastEmojiModelChange: string;
    };
    init(db: Dexie): void;
    getValueByKey(k: string): Promise<any>;
    bulkPut(list: KeyValues[], key?: string): void;
    handlePublish(list: KeyValues[]): void;
}
export declare const keyValueModel: KeyValueModel;
export default keyValueModel;
